%global srcname strip-indent
# tests disabled due to missing npm(ava)
%global enable_tests 0

Name:           nodejs-%{srcname}
Version:        2.0.0
Release:        3%{?dist}
Summary:        Strip leading whitespace from every line in a string
License:        MIT
URL:            https://github.com/sindresorhus/strip-indent
Source0:        https://registry.npmjs.com/%{srcname}/-/%{srcname}-%{version}.tgz
# tests are not included in the tarball
Source1:	https://raw.githubusercontent.com/sindresorhus/%{srcname}/v%{version}/test.js

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif

%description
%{summary}.

%prep
%setup -n package
rm -rf node_modules

%nodejs_fixdep get-stdin '5.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/cli.js %{buildroot}%{_bindir}/strip-indent

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}
%{_bindir}/%{srcname}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jul 16 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-2
- Fixdep get-stdin

* Sat Aug 29 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
